---
title: Total TLS Settings Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[ACM](https://developers.cloudflare.com/api/go/resources/acm)

[Total TLS](https://developers.cloudflare.com/api/go/resources/acm/subresources/total_tls)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Total TLS Settings Details

client.ACM.TotalTLS.Get(ctx, query) (\*[TotalTLSGetResponse](<https://developers.cloudflare.com/api/go/resources/acm#(resource)%20acm.total_tls%20%3E%20(model)%20TotalTLSGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/acm/total\_tls

Get Total TLS Settings for a Zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`SSL and Certificates Write``SSL and Certificates Read`

##### ParametersExpand Collapse

<details>

<summary>

query TotalTLSGetParams

</summary>

ZoneID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20acm.total_tls%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20acm.total_tls%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type TotalTLSGetResponse struct{…}

</summary>

<details>

<summary>

CertificateAuthority <a href="https://developers.cloudflare.com/api/go/resources/acm#(resource)%20acm.total_tls%20%3E%20(model)%20certificate_authority%20%3E%20(schema)">CertificateAuthority</a>Optional

The Certificate Authority that Total TLS certificates will be issued through.

</summary>

One of the following:

const CertificateAuthorityGoogle <a href="https://developers.cloudflare.com/api/go/resources/acm#(resource)%20acm.total_tls%20%3E%20(model)%20certificate_authority%20%3E%20(schema)">CertificateAuthority</a> = "google"

<a href="#(resource)%20acm.total_tls%20%3E%20(model)%20TotalTLSGetResponse%20%3E%20(schema)%20%3E%20(property)%20certificate_authority%20%2B%20(resource)%20acm.total_tls%20%3E%20(model)%20certificate_authority%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const CertificateAuthorityLetsEncrypt <a href="https://developers.cloudflare.com/api/go/resources/acm#(resource)%20acm.total_tls%20%3E%20(model)%20certificate_authority%20%3E%20(schema)">CertificateAuthority</a> = "lets\_encrypt"

<a href="#(resource)%20acm.total_tls%20%3E%20(model)%20TotalTLSGetResponse%20%3E%20(schema)%20%3E%20(property)%20certificate_authority%20%2B%20(resource)%20acm.total_tls%20%3E%20(model)%20certificate_authority%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const CertificateAuthoritySSLCom <a href="https://developers.cloudflare.com/api/go/resources/acm#(resource)%20acm.total_tls%20%3E%20(model)%20certificate_authority%20%3E%20(schema)">CertificateAuthority</a> = "ssl\_com"

<a href="#(resource)%20acm.total_tls%20%3E%20(model)%20TotalTLSGetResponse%20%3E%20(schema)%20%3E%20(property)%20certificate_authority%20%2B%20(resource)%20acm.total_tls%20%3E%20(model)%20certificate_authority%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20acm.total_tls%20%3E%20(model)%20TotalTLSGetResponse%20%3E%20(schema)%20%3E%20(property)%20certificate_authority">Link to this property</a>

Enabled boolOptional

If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone.

<a href="#(resource)%20acm.total_tls%20%3E%20(model)%20TotalTLSGetResponse%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

ValidityPeriod TotalTLSGetResponseValidityPeriodOptional

The validity period in days for the certificates ordered via Total TLS.

<a href="#(resource)%20acm.total_tls%20%3E%20(model)%20TotalTLSGetResponse%20%3E%20(schema)%20%3E%20(property)%20validity_period">Link to this property</a>

</details>

[Link to this property](<#(resource)%20acm.total_tls%20%3E%20(model)%20TotalTLSGetResponse%20%3E%20(schema)>)

### Total TLS Settings Details

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/acm"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  totalTLS, err := client.ACM.TotalTLS.Get(context.TODO(), acm.TotalTLSGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", totalTLS.ValidityPeriod)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "certificate_authority": "google",
    "enabled": true,
    "validity_period": 90
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "certificate_authority": "google",
    "enabled": true,
    "validity_period": 90
  }
}
```